Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Lorenzo Stoakes <[email-masked]>
Date: Thu, 19 Jun 2025 06:22:51 +0100

On Thu, Jun 19, 2025 at 09:45:04AM +1000, Stephen Rothwell wrote:
> Hi all,
>
> After merging the vfs-brauner tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
>
> fs/ubifs/file.c: In function 'ubifs_file_mmap_prepare':
> fs/ubifs/file.c:1589:9: error: 'vma' undeclared (first use in this function); did you mean 'cma'?
>  1589 |         vma->vm_ops = &ubifs_file_vm_ops;
>       |         ^~~
>       |         cma
>
> Caused by commit
>
>   a5ee9a82981d ("fs: convert most other generic_file_*mmap() users to .mmap_prepare()")
>
> I have used the vfs-brauner tree form next-20250618 for today.
>
> --
> Cheers,
> Stephen Rothwell

Ah sorry, I should have underlined this (+ missed it in your tree
Christian), Andrew had a fixup patch for this that was not yet squashed so
you probably missed it on this basis.

The fixup is very simple, literally:

-	vma->vm_ops = &ubifs_file_vm_ops;
+	desc->vm_ops = &ubifs_file_vm_ops;

As I typo'd this.

Cheers, Lorenzo